/**
 お客さんの役割を書いたクラス
 */
public class Customer{
	/** 手持ちの金 とりあえず1300円に統一 */
	int money=1300;
	/** 名前 初期値は未設定 */
	String name=null;

	/**
	 * 屋台にラーメンを注文して食べる
	 * @ param ya 食べようとする屋台のインスタンス
	 */
	public void order(Yatai ya){
		if(ya.tellPrice() < money){ // 手持ちが単価より多ければ食える条件は満たす
			if(ya.serve()){ // 屋台側の在庫もチェックして・・・
				money -= ya.tellPrice();
				System.out.println("Eaten by "+name); // 食べられた
			}
		}else{
			System.out.println("Shortage in "+name); // 金が足りない
		}
	}

	/**
	 * 名前を返す
	 * @return
	 */
	public String getName() {
		return name;
	}

	/**
	 * 名前を設定
	 * @param name
	 */
	public void setName(String name) {
		this.name = name;
	}
}
